Bug 170544 - Add support to recognize batch events from some FS.AtomicAction
Add support to recognize batch events from some FS.AtomicAction
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Filesystems
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jaroslav Tulach
issues@platform
: API, API_REVIEW_FAST
Depends on:
Blocks: 134805
  Show dependency treegraph
 
Reported: 2009-08-18 13:20 UTC by Tomas Zezula
Modified: 2009-08-25 17:49 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
FileEvent.runWhenDeliveryOver (16.63 KB, patch)
2009-08-18 15:53 UTC, Jaroslav Tulach
Details | Diff
Updated patch. Fixed spelling. masterfs tests now pass. (17.52 KB, patch)
2009-08-19 15:59 UTC, Jaroslav Tulach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2009-08-18 13:20:33 UTC
Add support to recognize events from the same FS.AtomicAction.
RepositoryUpdater needs to find which events are related by FS.AtomicAction. Currently it's not possible if you don't have the action.
Use case: http://www.netbeans.org/issues/show_bug.cgi?id=134805
Comment 1 Jaroslav Tulach 2009-08-18 15:53:30 UTC
Created attachment 86405 [details]
FileEvent.runWhenDeliveryOver
Comment 2 Jesse Glick 2009-08-18 17:07:54 UTC
Seems reasonable.

BTW "immediately" is misspelled as "immediatelly" 8x.
Comment 3 Tomas Zezula 2009-08-19 08:07:08 UTC
The patch works fine for us.
Comment 4 Vitezslav Stejskal 2009-08-19 08:26:39 UTC
The patch looks ok to me as well. I think I'll use it in
org.netbeans.modules.editor.mimelookup.impl.CompoundFolderChildren (eg. see #161201 and #168536).
Comment 5 Jiri Skrivanek 2009-08-19 10:23:34 UTC
JS01: FileObjectTestHid.testFireFileRenamedEvent_FS fails in masterfs.FileBasedFileSystemTest and
FileBasedFileSystemWithExtensionsTest because rename is not done in atomic action.

Otherwise looks OK to me.
Comment 6 Jaroslav Tulach 2009-08-19 15:59:38 UTC
Created attachment 86466 [details]
Updated patch. Fixed spelling. masterfs tests now pass.
Comment 7 Jaroslav Tulach 2009-08-24 16:02:16 UTC
I'll integrate the tomorrow: http://www.netbeans.org/nonav/issues/showattachment.cgi/86466/RunWhenDeliveryOver.diff
Comment 8 Jaroslav Tulach 2009-08-25 08:13:11 UTC
core-main#32b89f63cf8e
Comment 9 Jaroslav Tulach 2009-08-25 09:58:30 UTC
The integration text shall in fact be "Batch events can now be post processed"
Comment 10 Tomas Zezula 2009-08-25 10:35:12 UTC
Thanks Jardo
Comment 11 Quality Engineering 2009-08-25 17:49:25 UTC
Integrated into 'main-golden', will be available in build *200908251401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/32b89f63cf8e
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #170544: Batch events can not be post processed with runWhenDeliveryOver


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo